summaryrefslogtreecommitdiffstats
path: root/source/ap/dash/doinst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/dash/doinst.sh')
-rw-r--r--source/ap/dash/doinst.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/source/ap/dash/doinst.sh b/source/ap/dash/doinst.sh
new file mode 100644
index 000000000..c44743f44
--- /dev/null
+++ b/source/ap/dash/doinst.sh
@@ -0,0 +1,14 @@
+if [ ! -r etc/shells ]; then
+ touch etc/shells
+ chmod 644 etc/shells
+fi
+if ! grep -wq /bin/dash etc/shells ; then
+ echo /bin/dash >> etc/shells
+fi
+# Compatibility for #!/bin/ash scripts:
+if [ ! -r bin/ash ]; then
+ ( cd bin ; ln -sf /bin/dash ash )
+fi
+if ! grep -wq /bin/ash etc/shells ; then
+ echo /bin/ash >> etc/shells
+fi